package com.winhc.bigdata.spark.ng.dynamic.utils

import com.winhc.bigdata.spark.ng.dynamic.utils.DynamicFiledUtils.createDynamicInfo
import org.apache.spark.internal.Logging

/**
 * @author ZhangJi
 * @since 2021-07-08 17:29
 */
trait ComplexDailyDynamic extends Logging {
  def getDynamicInfo(new_data: Map[String, String]): (String, Map[String, Any]) = {
    try {
      createDynamicInfo(this.getClass.getSimpleName, new_data)
    }
    catch {
      case e: Exception => logError(e.getMessage, e)
        (null, Map.empty)
    }
  }

}
